function Im = Radon_circular_adjoint(I_Radon,N,Theta)

Im = zeros(N,N);
c_x = linspace(-1,1,N)'*ones(1,N);
c_y=c_x';
[N_theta,N_R] = size(I_Radon);
c_r = linspace(0,2,N_R);
delta_R = c_r(2);
c_theta = Theta;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 %h = waitbar(0,'Please wait...');
for i=1:N,
  %waitbar(i/N,h)
    for j=1:N, 
        if ( c_x(i)^2 + c_x(j)^2 < 0.95)
       
        for i_theta=1:N_theta,
            theta = c_theta(i_theta);
            px_theta =(1 - 0*abs(cos(2*theta))).*cos(theta);
            py_theta = (1 - 0*abs(cos(2*theta))).*sin(theta);
            
             dist_xp=  sqrt(((px_theta - c_x(i,j))^2 +(py_theta - c_y(i,j))^2));
         
             if (dist_xp<2)
            
            i_xp = floor(dist_xp*(N_R-1)/2) +1;
            Im(i,j) =Im(i,j) + I_Radon(i_theta,i_xp) + (dist_xp - c_r(i_xp))*(I_Radon(i_theta,i_xp+1) - I_Radon(i_theta,i_xp))/delta_R;
             end
            end
             
       
           end
    end
end

Im = 2*pi*Im/(N_theta);

  %close(h);